
.dwfe-spinner-dotted-horizontal {

  width: 100%;

  display: flex;
  flex-direction: row;
  justify-content: center;
  align-content: center;

  .dot {
    width: 3px;
    height: 3px;
    margin: 0 2px;

    background-color: red;
    border-radius: 50%;

    user-select: none;

    transform: scale(0);
    opacity: 0;
  }

  .dot:nth-child(1) {
    animation: dwfe-spinner-dotted-horizontal__dots-animation 1.2s ease infinite 0s;
  }

  .dot:nth-child(2) {
    animation: dwfe-spinner-dotted-horizontal__dots-animation 1.2s ease infinite 100ms;
  }

  .dot:nth-child(3) {
    animation: dwfe-spinner-dotted-horizontal__dots-animation 1.2s ease infinite 200ms;
  }

  .dot:nth-child(4) {
    animation: dwfe-spinner-dotted-horizontal__dots-animation 1.2s ease infinite 300ms;
  }

  .dot:nth-child(5) {
    animation: dwfe-spinner-dotted-horizontal__dots-animation 1.2s ease infinite 400ms;
  }

  .dot:nth-child(6) {
    animation: dwfe-spinner-dotted-horizontal__dots-animation 1.2s ease infinite 500ms;
  }

  .dot:nth-child(7) {
    animation: dwfe-spinner-dotted-horizontal__dots-animation 1.2s ease infinite 600ms;
  }

  .dot:nth-child(8) {
    animation: dwfe-spinner-dotted-horizontal__dots-animation 1.2s ease infinite 700ms;
  }

  .dot:nth-child(9) {
    animation: dwfe-spinner-dotted-horizontal__dots-animation 1.2s ease infinite 800ms;
  }

  .dot:nth-child(10) {
    animation: dwfe-spinner-dotted-horizontal__dots-animation 1.2s ease infinite 900ms;
  }
}

@-webkit-keyframes dwfe-spinner-dotted-horizontal__dots-animation {
  100%,
  0% {
    transform: scale(0);
    opacity: 0;
  }
  50% {
    transform: scale(1);
    opacity: 1
  }
}

@keyframes dwfe-spinner-dotted-horizontal__dots-animation {
  100%,
  0% {
    transform: scale(0);
    opacity: 0;
  }
  50% {
    transform: scale(1);
    opacity: 1
  }
}
